package it.unibo.stradivarius.myfragmentreader;


import android.content.Intent;
import android.os.Bundle;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentTransaction;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;

public class FragmentFirst extends Fragment {

    Button btnSwitch;
    boolean dual;

    public FragmentFirst() {
        // Required empty public constructor
    }

//    /**
//     * Use this factory method to create a new instance of
//     * this fragment using the provided parameters.
//     *
//     * @param param1 Parameter 1.
//     * @param param2 Parameter 2.
//     * @return A new instance of fragment FragmentFirst.
//     */
//    // TODO: Rename and change types and number of parameters
//    public static FragmentFirst newInstance(String param1, String param2) {
//        FragmentFirst fragment = new FragmentFirst();
//        Bundle args = new Bundle();
//        args.putString(ARG_PARAM1, param1);
//        args.putString(ARG_PARAM2, param2);
//        fragment.setArguments(args);
//        return fragment;
//    }
//    @Override
//    public void onCreate(Bundle savedInstanceState) {
//        super.onCreate(savedInstanceState);
//        if (getArguments() != null) {
//            mParam1 = getArguments().getString(ARG_PARAM1);
//            mParam2 = getArguments().getString(ARG_PARAM2);
//        }
//    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        // Inflate the layout for this fragment
        return inflater.inflate(R.layout.fragment_fragment_first, container, false);
    }

    @Override
    public void onActivityCreated(@Nullable Bundle savedInstanceState) {
        super.onActivityCreated(savedInstanceState);
        dual = false;
        View details = getActivity().findViewById(R.id.details);
        if (details != null && details.getVisibility() == View.VISIBLE) {
            dual = true;
        }
    }

    @Override
    public void onViewCreated(@NonNull View view, @Nullable Bundle savedInstanceState) {
        super.onViewCreated(view, savedInstanceState);
        btnSwitch = (Button)getView().findViewById(R.id.btnSwitchOne);
        btnSwitch.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                if (dual) {
                    FragmentTransaction ft = getFragmentManager().beginTransaction();
                    FragmentSecond sf = (FragmentSecond)getFragmentManager().
                            findFragmentById(R.id.details);
                    if (sf == null) {
                        sf = new FragmentSecond();
                        ft.replace(R.id.details, sf);
                        ft.setTransition(FragmentTransaction.TRANSIT_FRAGMENT_FADE);
                        //ft.addToBackStack("whatever...");
                        ft.commit();
                    }
                } else {
                    Intent i = new Intent();
                    i.setClass(getActivity(), SecondActivity.class);
                    startActivity(i);
                }
            }
        });
    }
}
